Registrarse
Home
Foros
Miembros
Calendario
Normas
Ayuda

Foros de usuarios de openSUSE
Retroceder   ForoSUSE > Zona OpenSUSE > Portátiles y otros Dispositivos


Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook

Respuesta
 
Herramientas Desplegado

ACPI error en openSUSE 15
  #1  
Antiguo 04-jun-2018, 23:57
rr89 rr89 está desconectado
Aforado
 
Fecha de Ingreso: 24-marzo-2018
Versión: 12 SP3
Mensajes: 27
Agradecimientos: 0
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 0
rr89 está en el buen camino
ACPI error en openSUSE 15

Amigos,

Cuando arranca mi computador me sale un error de ACPI. He seguido varios tutoriales en Internet para que no me salga ese error, principalmente modificando los parametros del kernel, poniendo acpi=off o libata.noacpi=1, pero me siguen saliendo esos errores. Qué me aconsejan?



Características de mi computador:

Código:
OS: openSUSE Leap 15.0 Linux 4.12.14-lp150.12.4-default x86_64
CPU: 8-thr Intel(R) Core(TM) i7-6700HQ CPU 3500MHz | Load: 1.25
Tasks: 901
Mem: 5375/7834MB
Disk: 35/420GB
Gfx: NVIDIA Corporation GM204M [GeForce GTX 970M] @ 1920x1080

Última edición por rr89; 05-jun-2018 a las 00:03
Responder Citando
  #2  
Antiguo 05-jun-2018, 00:36
Avatar de Krovikan
Krovikan Krovikan está desconectado
Miembro Junior
 
Fecha de Ingreso: 16-noviembre-2010
Ubicación: Delante del ordenador
Versión: Leap 42.3
Mensajes: 604
Agradecimientos: 224
Agradecido 147 Veces en 126 Mensajes
Poder de Credibilidad: 8
Krovikan está en el buen camino
No te preocupes. Es un bug conocido de los kernels.


Antes, el 4.4.x no tenía ese error. En cuanto pasé al 4.12 comenzó a aparecer eso. Vamos por el 4.16.13 y siguen saliendo.




Saludos
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a Krovikan Por Este Mensaje:
mikrios (07-jun-2018)
  #3  
Antiguo 05-jun-2018, 01:41
Avatar de gvcastellon
gvcastellon gvcastellon está desconectado
Miembro Senior
 
Fecha de Ingreso: 17-febrero-2012
Ubicación: Somewhere in the third planet of the Solar System ;)
Versión: Leap 42.1
Mensajes: 1.276
Agradecimientos: 1.074
Agradecido 596 Veces en 378 Mensajes
Poder de Credibilidad: 8
gvcastellon está en el buen camino
Cita:
Iniciado por Krovikan Ver Mensaje
No te preocupes. Es un bug conocido de los kernels.


Antes, el 4.4.x no tenía ese error. En cuanto pasé al 4.12 comenzó a aparecer eso. Vamos por el 4.16.13 y siguen saliendo.




Saludos
Lo mismo por aquí, ya no le presto atención. Hay alguna mejoras ahora con el 4.17 aunque todavía no lo pruebo.
__________________
The box said: 'Requires Windows 95 or better' ...SO I INSTALLED LINUX!


Kernel: 4.17.2-2.gddde22d-default x86_64
Distro: openSUSE Leap 15.0 / TW
KDE Plasma 5.12.5
Mobo: ASUSTeK ROG STRIX B350-F GAMING
CPU: AMD Ryzen 7 1700X 8-Core
RAM-16.0 GiB
Video-Radeon RX 460/560D
Responder Citando
  #4  
Antiguo 06-jun-2018, 11:17
Avatar de Krovikan
Krovikan Krovikan está desconectado
Miembro Junior
 
Fecha de Ingreso: 16-noviembre-2010
Ubicación: Delante del ordenador
Versión: Leap 42.3
Mensajes: 604
Agradecimientos: 224
Agradecido 147 Veces en 126 Mensajes
Poder de Credibilidad: 8
Krovikan está en el buen camino
¿Alguien ha probado el kernel 4.17?


Hoy he arrancado 2 veces seguidas con el 4.17 y casi afirmaría que por fin han desaparecido las líneas de error de ACPI que acompañaban desde el 4.12 en los arranques.


¿Alguien más se ha fijado?




Saludos
Responder Citando
Confirmadado
  #5  
Antiguo 06-jun-2018, 12:36
Avatar de gvcastellon
gvcastellon gvcastellon está desconectado
Miembro Senior
 
Fecha de Ingreso: 17-febrero-2012
Ubicación: Somewhere in the third planet of the Solar System ;)
Versión: Leap 42.1
Mensajes: 1.276
Agradecimientos: 1.074
Agradecido 596 Veces en 378 Mensajes
Poder de Credibilidad: 8
gvcastellon está en el buen camino
Confirmadado

Cita:
Iniciado por Krovikan Ver Mensaje
¿Alguien ha probado el kernel 4.17?


Hoy he arrancado 2 veces seguidas con el 4.17 y casi afirmaría que por fin han desaparecido las líneas de error de ACPI que acompañaban desde el 4.12 en los arranques.


¿Alguien más se ha fijado?




Saludos
Te lo confirmo, acabo de reiniciar con el "4.17.0-1.gbcb3422-default x86_64" y ya el mensaje desapareció, incluso en mi caso el mensaje del ACPI que estaba asociado a los Ryzen, según los "bug reports" también desapareció.

Salud y Suerte.
__________________
The box said: 'Requires Windows 95 or better' ...SO I INSTALLED LINUX!


Kernel: 4.17.2-2.gddde22d-default x86_64
Distro: openSUSE Leap 15.0 / TW
KDE Plasma 5.12.5
Mobo: ASUSTeK ROG STRIX B350-F GAMING
CPU: AMD Ryzen 7 1700X 8-Core
RAM-16.0 GiB
Video-Radeon RX 460/560D
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a gvcastellon Por Este Mensaje:
Krovikan (06-jun-2018)
  #6  
Antiguo 06-jun-2018, 23:38
Avatar de mikrios
mikrios mikrios está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 02-marzo-2013
Ubicación: Lat. 27.994547-Lon -15.405127-160m nivel del mar
Versión: 13.1-2,TW,Leap
Mensajes: 4.713
Agradecimientos: 1.995
Agradecido 1.474 Veces en 1.234 Mensajes
Poder de Credibilidad: 10
mikrios llegará a ser famoso muy pronto
Hola:

Si no sale es porque no la ponen en el kernel, el fabricante tiene que dar la tabla de los valores o tablas de acpi, y para un portátil es mucho mas importante.

Muchas veces o los ponen, o no son correctos, entonces nos frien con warning ( pero, los acpi,apic,irq, etc, todos son importantes y uno no puede dejarse llevar siempre por la ingeniería inversa, necesita valores reales) .

Si no es un warning y es un error, hay que ir a la parte correspondiente de la bios y mirar si tiene que activarla o no.

Antes no salían en kernel viejos, por que no los ponían, pero ya hay acpi en las pcie y en el tema de energía se ha incrementado (estados C de la cpu, etc) y se hacen necesarios, ademas de incorporar cosas de uefi que tampoco estaban (la pena es que algunas no están para linux ) .

Saludos cordiales.

PD. importantes en portátiles, servidores, equipos remotos y equipos de laboratorio, telemetría, etc .
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a mikrios Por Este Mensaje:
gvcastellon (07-jun-2018)
  #7  
Antiguo 07-jun-2018, 00:14
rr89 rr89 está desconectado
Aforado
 
Fecha de Ingreso: 24-marzo-2018
Versión: 12 SP3
Mensajes: 27
Agradecimientos: 0
Agradecido 0 Veces en 0 Mensajes
Poder de Credibilidad: 0
rr89 está en el buen camino
Cita:
Iniciado por gvcastellon Ver Mensaje
Te lo confirmo, acabo de reiniciar con el "4.17.0-1.gbcb3422-default x86_64" y ya el mensaje desapareció, incluso en mi caso el mensaje del ACPI que estaba asociado a los Ryzen, según los "bug reports" también desapareció.

Salud y Suerte.
Cómo hago para instalar el kernel 4.17.0-1 ?
Responder Citando
  #8  
Antiguo 07-jun-2018, 00:49
Avatar de Krovikan
Krovikan Krovikan está desconectado
Miembro Junior
 
Fecha de Ingreso: 16-noviembre-2010
Ubicación: Delante del ordenador
Versión: Leap 42.3
Mensajes: 604
Agradecimientos: 224
Agradecido 147 Veces en 126 Mensajes
Poder de Credibilidad: 8
Krovikan está en el buen camino
Necesitas añadir este repo desde Yast-->Repositorios o desde zypper con el comando correspondiente:


http://download.opensuse.org/reposit...able/standard/




Saludos
Responder Citando
  #9  
Antiguo 07-jun-2018, 02:57
Avatar de gvcastellon
gvcastellon gvcastellon está desconectado
Miembro Senior
 
Fecha de Ingreso: 17-febrero-2012
Ubicación: Somewhere in the third planet of the Solar System ;)
Versión: Leap 42.1
Mensajes: 1.276
Agradecimientos: 1.074
Agradecido 596 Veces en 378 Mensajes
Poder de Credibilidad: 8
gvcastellon está en el buen camino
Cita:
Iniciado por mikrios Ver Mensaje
Hola:

Si no sale es porque no la ponen en el kernel, el fabricante tiene que dar la tabla de los valores o tablas de acpi, y para un portátil es mucho mas importante.

Muchas veces o los ponen, o no son correctos, entonces nos frien con warning ( pero, los acpi,apic,irq, etc, todos son importantes y uno no puede dejarse llevar siempre por la ingeniería inversa, necesita valores reales) .

Si no es un warning y es un error, hay que ir a la parte correspondiente de la bios y mirar si tiene que activarla o no.

Antes no salían en kernel viejos, por que no los ponían, pero ya hay acpi en las pcie y en el tema de energía se ha incrementado (estados C de la cpu, etc) y se hacen necesarios, ademas de incorporar cosas de uefi que tampoco estaban (la pena es que algunas no están para linux ) .

Saludos cordiales.

PD. importantes en portátiles, servidores, equipos remotos y equipos de laboratorio, telemetría, etc .
Hola @mikrios, muy valiosos tus comentarios como siempre.

En mi caso el error, ademas de mostrarlo provocaba cuelgues aleatorios en el PC, hay ya bastantes reportes con este asunto, creo todo empezó después del Kernel 4.10.

Estuve aplicando algunas de las variantes que proponían en los foros de AMD, desde desactivar en la BIOS el "estado C-6 " (mi Power Supply no viene preparada para este nuevo estado" y esto no resolvía el problema, por ahora lo único en mi caso que me ha resuelto el asunto de los cuelgues fue cambiar en el BIOS: Advanced Mode -> Advanced -> AMD CBS -> Power Supply Idle Control: Typical Current Idle que por defecto viene en Auto.

Esto no eliminaba el mensaje del ACPI, que en mi caso es diferente al de @Krovican, pero que con el Kernel 4.17 se ha ido completamente.

...error.


...fuente: Ryzen linux kernel bug 196683 - Random Soft Lockup


Cita:
Iniciado por rr89 Ver Mensaje
Cómo hago para instalar el kernel 4.17.0-1 ?
..ya el colega @Krovican te ha contestado.

Salud y Suerte.
__________________
The box said: 'Requires Windows 95 or better' ...SO I INSTALLED LINUX!


Kernel: 4.17.2-2.gddde22d-default x86_64
Distro: openSUSE Leap 15.0 / TW
KDE Plasma 5.12.5
Mobo: ASUSTeK ROG STRIX B350-F GAMING
CPU: AMD Ryzen 7 1700X 8-Core
RAM-16.0 GiB
Video-Radeon RX 460/560D
Responder Citando
El Siguiente Usuario Ha Dado las Gracias a gvcastellon Por Este Mensaje:
mikrios (07-jun-2018)
  #10  
Antiguo 07-jun-2018, 18:48
Avatar de mikrios
mikrios mikrios está desconectado
Miembro FOROSuSE
 
Fecha de Ingreso: 02-marzo-2013
Ubicación: Lat. 27.994547-Lon -15.405127-160m nivel del mar
Versión: 13.1-2,TW,Leap
Mensajes: 4.713
Agradecimientos: 1.995
Agradecido 1.474 Veces en 1.234 Mensajes
Poder de Credibilidad: 10
mikrios llegará a ser famoso muy pronto
Hola:

Si hay un problema se debería comunicar, si es con Leap 15.0 o el 42.3, porque el núcleo se encarga SUSE, y eso con el 4.17.01, les crea dependencias, puede que si lo verifica con yast, le indique cuales (por lo menos son 4 o puede que mas) . con el rpm añadido, con las opciones marcadas y en verificar, eso en yast; en pakagekit, le indicara que no es una versión apropiada, para ese sistema.

El tema es que le funcione (dejar alguno de los anteriores de reserva por si acaso y recordar que un kernel es marcado en snapper como una instantánea importante "yes" ; lo mismo te digo a ti y si ves que no crea las imágenes, al final por si las moscas y del kernel en uso, utilizar el dracut --force.

Rompiendo las dependencias, me puede pasar lo que a mi, ademas había limpiado las importantes del principio, eso se carga las imágenes comprimidas del /boot , ademas de los kernel, al final arrancar con supergrub2 y actualizar rompiendo dependencias ( si ya las tenías quitadas de antes, no hay problema, pero a mi cuando sale una actualización de kernel, a pesar de la prioridad del estándar estable, el S.O. marca el suyo propio como el principal y deja el 4.17.0.1 como secundario.

Las rompo y la compatibilidad del S.O. con SUSE creo que se pierde (por lo menos algunos programas, me los desinstalo, y otros de crypto.. no se que mas, ahora bien el resultado final, puede que no pueda usar discover, pakagekit y otro.

Bueno mi experiencia es que quedo así :

Código PHP:
francis@FRANK-Z87-D:~> inxi -xxSMCGI
System
:    HostFRANK-Z87-D Kernel4.17.0-1.gbcb3422-default x86_64 bits64 compilergcc v7.3.1                                         
           Desktop
KDE Plasma 5.8.7 tkQt 5.6.2 dmsddm DistroopenSUSE Leap 42.3 
Machine
:   TypeDesktop SystemASUS productAll Series vN/A serial: <root required
           
MoboASUSTeK modelZ87-DELUXE vRev 1.xx serial: <root requiredUEFIAmerican Megatrends 
           v
2103 date08/15/2014 
CPU
:       TopologyQuad Core modelIntel Core i7-4770S bits64 typeMT MCP archHaswell rev
           L2 cache
8192 KiB 
           flags
lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips49602 
           Speed
1000 MHz min/max800/3900 MHz Core speeds (MHz): 11000 21000 31000 41000 51002 
           6
1000 71000 81001 
Graphics
:  Card-1NVIDIA GK106 [GeForce GTX 660drivernouveau vkernel bus ID01:00.0 chip ID10de:11c0 
           Display
x11 serverX.Org 1.18.3 drivernouveau unloadedfbdev,modesetting,nv,nvidia,vesa 
           tty
N/
           OpenGL
rendererGallium 0.4 on NVE6 v4.3 Mesa 17.0.5 compat-v3.0 direct renderYes 
Info
:      Processes299 UptimeN/A Memory31.35 GiB used1.29 GiB (4.1%) Initsystemd v228 runlevel
           target
graphical.target Compilersgcc4.8.5 alt4.8 Shellbash v4.3.42 running inkonsole 
           inxi
3.0.09 
Lo hice por curiosidad, tal como lo tenía antes funcionaba todo (excepto el instalar un juego con ese programa), pero todo lo demás bien, ahora me que ir probando.

Creo que lo importante es solucionar los problemas (también cumplir en lo posible las dependencias, ya que en una me dio incompatible con dkms, y si eso falla, aquí no podría poner Vbox.

También si es un portátil, interesa que maneje bien acpi, que hiberne cuando tenga que hacerlo, idem lo de suspender, en definitiva los temas de energía y que las baterías duren mas.

@Krovican te ha dado la dirección web donde están ese kernel, y es la que se añade en repositorios, después se marca cambiar de proveedor y en versiones te van aparecer , también las ves con zypper se -s kernel* (hay ves todas) .

En las primeras versiones de Leap, cre que a petición de openSUSE, se usa distinto nombre de kernel ( a mi me parece bien por que uno estaba acostumbrado al estándar estable, pero mientras funcione, me da igual como se llame, o el nº que tenga) .
Edito :

Por mi parte controlado y conocidas algunas, la de pcie, la tengo des-activada de la bios :

Código PHP:
FRANK-Z87-D:~ # journalctl -kb |grep -e acpi
Jun 07 16:30:04 FRANK-Z87-D kernelACPILAPIC_NMI (acpi_id[0xffhigh edge lint[0x1])
Jun 07 16:30:04 FRANK-Z87-D kernelacpiphpACPI Hot Plug PCI Controller Driver version0.5
Jun 07 16
:30:04 FRANK-Z87-D kernelacpi PNP0A08:00_OSCOS supports [ExtendedConfig ASPM ClockPM Segments MSI]
Jun 07 16:30:04 FRANK-Z87-D kernelacpi PNP0A08:00_OSCOS now controls [PCIeHotplug PME AER PCIeCapability]
Jun 07 16:30:04 FRANK-Z87-D kernelacpi PNP0A08:00FADT indicates ASPM is unsupportedusing BIOS configuration
Jun 07 16
:30:04 FRANK-Z87-D kernelacpiphpSlot [1registered
Jun 07 16
:30:04 FRANK-Z87-D kernelclocksourceacpi_pmmask0xffffff max_cycles0xffffffmax_idle_ns2085701024 ns 
Saludos cordiales

Última edición por mikrios; 07-jun-2018 a las 18:53
Responder Citando
Respuesta

Marcadores


(0 miembros y 1 visitantes)
 
Herramientas
Desplegado

Normas de Publicación
No puedes crear nuevos temas
No puedes responder mensajes
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los Códigos BB están Activado
Las Caritas están Activado
[IMG] está Activado
El Código HTML está Desactivado

Ir al Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
Tumbleweed KDE no inicia tras actualizar janopi Instalación y Actualizaciones 25 29-may-2018 20:42
Gigabyte z77-ud5h y sonido ALC898 djdevil666bcn Hardware 10 17-feb-2016 11:35
Otro "The following 48 package updates will NOT be installed" al actualizar openSUSE moshpirit Software 12 01-mar-2015 22:39
Disponible para descarga openSUSE 12.2 DiabloRojo Portal de ForoSUSE 60 01-nov-2012 23:25
Repositorio Tumbleweed xisco Portal de ForoSUSE 15 10-abr-2012 19:14



Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook


La franja horaria es GMT +2. Ahora son las 15:24.
Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.

Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!

Diseño por:Designed by: vbdesigns.devbdesigns.de 
Contáctenos - ForoSUSE - Archivo - Declaración de Privacidad - Arriba